UseAttributeTag (Struts Tiles 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.taglib
Class UseAttributeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.tiles.taglib.UseAttributeTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

    public class UseAttributeTag

extends TagSupport

Custom tag exposing a component attribute to page.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `isErrorIgnored` Are errors ignored.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UseAttributeTag()`

Method Summary
`int` | `doEndTag()` Clean up after processing this enumeration.
`int` | `doStartTag()` Expose the requested attribute from component context.
`String` | `getClassname()` Get class name.
`boolean` | `getIgnore()` Get ignore.
`String` | `getName()` Get name.
`String` | `getScope()` Get scope.
`void` | `release()` Release all allocated resources.
`void` | `setClassname(String name)` Set the class name.
`void` | `setIgnore(boolean ignore)` Set ignore.
`void` | `setName(String value)` Set name.
`void` | `setScope(String scope)` Set the scope.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isErrorIgnored

    protected boolean isErrorIgnored

  Are errors ignored. This is the property for attribute 'ignore'. Default value is `false`, which throws an exception. Only "attribute not found" - errors are ignored.

Constructor Detail

### UseAttributeTag

    public UseAttributeTag()

Method Detail

### release

    public void release()

  Release all allocated resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

### getClassname

    public String getClassname()

  Get class name.

### setClassname

    public void setClassname(String name)

  Set the class name.

  Parameters:
    `name` - The new class name.

### setName

    public void setName(String value)

  Set name.

### getName

    public String getName()

  Get name.

### setScope

    public void setScope(String scope)

  Set the scope.

  Parameters:
    `scope` - The new scope.

### getScope

    public String getScope()

  Get scope.

### setIgnore

    public void setIgnore(boolean ignore)

  Set ignore.

### getIgnore

    public boolean getIgnore()

  Get ignore.

### doStartTag

    public int doStartTag()
                   throws JspException

  Expose the requested attribute from component context.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Throws:
    `JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws JspException

  Clean up after processing this enumeration.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `TagSupport`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.